.buy_one_click {
    position: relative;
    margin-top: var(--gap);
    color: #FFF;
}
.buy_one_click_input {
    width: 100%;
    height: 36px;
    line-height: 34px;
    border-color: var(--orange);
}
.buy_one_click_input:focus {
    border-color: var(--orange);
}
.buy_one_click_label {
    position: absolute;
    top: 0;
    left: var(--halfgap);
    color: var(--orange);
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 2px;
    line-height: 36px;
    pointer-events: none;
    transition: var(--qtrans);
}
.buy_one_click_input:focus ~ .buy_one_click_label, .buy_one_click_input:valid ~ .buy_one_click_label {
    top: -13px;
    left: 0;
    line-height: var(--halfgap);
    font-size: 8px;
}
.buy_one_click_submit {
    position: absolute;
    top: 6px;
    right: 6px;
}
.prodcode {
    list-style: none;
    background: yellow;
    margin: 0 0 1em 0;
    padding: 12px;
    line-height: 1.4em;
}
.prodcode li {
    position: relative;
    float: left;
    box-sizing: border-box;
    width: 50%;
}
.prodcode li:first-child {
    text-align: center;
}
.prodcode li:first-child::after {
    content: '';
    position: absolute;
    top: 9px;
    right: 2px;
    width: 20px;
    height: 20px;
    border-left: 1px solid #000;
    border-bottom: 1px solid #000;
    -webkit-transition: all 250ms ease;
    -moz-transition: all 250ms ease;
    -ms-transition: all 250ms ease;
    -o-transition: all 250ms ease;
    transition: all 250ms ease;
    animation: 2s infinite strelka;
}
@keyframes strelka {
    0%,100% {
        -moz-transform: translateX(0) translateY(0) rotate(45deg);
        -webkit-transform: translateX(0) translateY(0) rotate(45deg);
        -o-transform: translateX(0) translateY(0) rotate(45deg);
        -ms-transform: translateX(0) translateY(0) rotate(45deg);
        transform: translateX(0) translateY(0) rotate(45deg);
        opacity: 0;
    }
    90% {
        -moz-transform: translateX(-10px) translateY(0) rotate(45deg);
        -webkit-transform: translateX(-10px) translateY(0) rotate(45deg);
        -o-transform: translateX(-10px) translateY(0) rotate(45deg);
        -ms-transform: translateX(-10px) translateY(0) rotate(45deg);
        transform: translateX(-10px) translateY(0) rotate(45deg);
        opacity: 1;
    }
    91% { opacity: 0; }
}
.whitecode {
    font-size: 2em;
    line-height: 1.4em;
    display: inline-block;
    background: #FFF;
    width: 60%;
    margin: 0 20%;
    letter-spacing: 1px;
}
.prodcode li:last-child {}
.prodcode:after {
    content: '';
    display: table;
    clear: both;
}
.product_page_price.formtypen, .product_page_price.formtypes, .prodcodetypen, .prodcodetypes {
    display: none;
}
.count_products_menu input{
    width: 75px;
    text-align: center;
    margin-left: 5px;
    margin-right: 5px;
}
.count_products_menu {
    margin-right: 100px;
}

.product_page {
    display: flex;
    justify-content: space-between;
    margin: 0 0 var(--gap) 0;
}
.product_page h1 {
    font-size: 2em;
    text-align: left;
}
.sticky_prod_images {
    width: 38%;
    height: 100%;
    overflow: hidden;
    position: -webkit-sticky;
    position: sticky;
    top: calc(66px + var(--gap));
}
.product_main_content {
    width: calc(62% - var(--gap));
    display: flex;
    flex-direction: column;
}
.prod_big_image {
    display: block;
}
.prod_big_image img,
.prod_big_image picture {
    max-width: 100%;
    height: auto;
}
.prod_image_thumbs {
    display: flex;
    flex-wrap: wrap;
    margin: 0 0 var(--halfgap) 0;
}
.prod_image_thumbs a {
    display: block;
    margin: var(--halfgap) var(--halfgap) 0 0;
}
.prod_image_thumbs img,
.prod_image_thumbs picture {
    height: 50px;
    width: auto;
}
.product_page_price {
    display: grid;
    grid-template-columns: 1fr auto auto;
    grid-column-gap: var(--gap);
    padding: var(--gap) var(--gap);
    background: #FFF;
    border: 1px solid var(--orange);
    margin: 0 0 var(--gap) 0;
}
.product_page_price .prod_price_value {
    font-size: 2.5em;
    line-height: 1em;
}
.product_page_price .prod_price_old {
    font-size: 1.5em;
}
.product_page_price .prod_price_old::before {
    top: 13px;
}

.prod_short_info {
    text-align: center;
    border: 4px solid var(--lgrey);
    margin: 0 0 var(--gap) 0;
}
.prod_short_info_highlight {
    background: var(--lgrey);
}

.prod_page_timya {
    padding: 4px 0 12px 0;
    line-height: 1em;
    font-weight: 700;
    letter-spacing: 3px;
    text-transform: uppercase;
}
.product_page .prod_size {
    font-size: 1.5em;
    line-height: 1em;
    padding: 10px 0 5px 0;
}
.product_page .prod_artikul {
    font-size: 1.2em;
    padding: 5px 0 0 0;
}
.inavailable {
    text-align: center;
    font-size: 1.2em;
    line-height: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: green;
    color: #FFF;
    border: 6px double #FFF;
    margin-bottom: 10px;
}
.on_order {
    text-align: center;
    font-size: 1.2em;
    line-height: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: #cbcb2a;
    color: #FFF;
    border: 6px double #FFF;
    margin-bottom: 10px;
}
.check_stock {
    text-align: center;
    font-size: 1.2em;
    line-height: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: #ff961d;
    color: #FFF;
    border: 6px double #FFF;
    margin-bottom: 10px;
}
.not_in_stock {
    text-align: center;
    font-size: 1.2em;
    line-height: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: #ff0a0a;
    color: #FFF;
    border: 6px double #FFF;
    margin-bottom: 10px;
}
.not_in_sale {
    text-align: center;
    font-size: 1.2em;
    line-height: 2em;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: #424242;
    color: #FFF;
    border: 6px double #FFF;
    margin-bottom: 10px;
}

.product-page-msg {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    margin: 10px 0;
}

.msg-z {
    background-color: #ffffff;
    border: 1px solid #cbcb2a;
    padding: 5px;
    color: #cbcb2a;
}
.msg-u {
    background-color: #ffffff;
    border: 1px solid #ff961d;
    padding: 5px;
    color: #ff961d;
}
.msg-n {
    background-color: #ffffff;
    border: 1px solid #ff0a0a;
    padding: 5px;
    color: #ff0a0a;
}
.msg-s {
    background-color: #ffffff;
    border: 1px solid #b2b2b2;
    padding: 5px;
    color: #b2b2b2;
}

.product-page-cat-link {
    padding: 0 5px;
    text-decoration-line: underline;
}
.product-page-cat-link:hover {
    color: #3b76ff;
}
.see_also_rels__nav {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 4px var(--gap);
    margin: 0 0 var(--gap) 0;
}
.see_also_rels__nav_second {
    display: flex;
    flex-wrap: nowrap;
    white-space: nowrap;
    overflow-x: auto;
}
.see_also_rels__nav_button {
    margin: 0 5px 10px 0;
}
.see_also_rels__nav_button.active,
.see_also_rels__nav_button.active::before {
    color: #FFF;
    background: var(--green);
    border-color: var(--green);
    cursor: default;
}
.see_also_rels__data_unit__last {
    position: relative;
}
.see_also_rels__data_unit__last a {
    display: block;
    position: relative;
    border: 1px solid var(--orange);
    border-radius: 10px;
    padding: 10px 15px;
    height: 160px;
    z-index: 100;
    font-size: 20px;
    line-height: 1.4em;
}
.see_also_rels__data_unit__last a:hover {
    color: #FFF;
    border-color: var(--green);
    background: var(--green);
}
.see_also_rels__data_unit__last_vsego {
    position: absolute;
    top: 130px;
    left: 15px;
    z-index: 150;
    font-size: 12px;
    color: var(--orange);
    pointer-events: none;
}
.sticky_prod_images img {
    width: 100%;
}
.see_also_rels__data_unit__last a:hover ~ .see_also_rels__data_unit__last_vsego {
    color: #FFF;
}
.prod_price_old{
width: 40px;
}
.prod_price_uah {
    top: 0;
}
.prod_price_teit{
    top: -12px;
}
    @media screen and (max-width: 1020px) {
    .product_page_price {
        grid-template-columns: 1fr;
        grid-row-gap: var(--gap);
    }
}
@media screen and (max-width: 760px) {
    .product_page {
        display: block;
    }
    .sticky_prod_images {
        display: grid;
        grid-column-gap: var(--gap);
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto;
        grid-template-areas: "prod_big_image prod_image_thumbs" "buy_one_click buy_one_click";
        width: 100%;
        height: auto;
        position: static;
        top: auto;
        margin-bottom: var(--gap);
    }
    .prod_big_image { grid-area: prod_big_image; }
    .prod_image_thumbs { grid-area: prod_image_thumbs; }
    .product_main_content {
        width: 100%;
        display: block;
    }
    .two_columns {
        grid-template-columns: 1fr;
        grid-row-gap: var(--gap);
    }
    .see_also_rels__nav {
        grid-template-columns: 1fr;
    }
}
@media screen and (max-width: 520px) {
    .prodcode li {
        float: none;
        display: block;
        width: 100%;
        text-align: center;
    }
    .prodcode li:first-child::after {
        display: none;
    }
    .zdestext {
        padding: 8px 0 0 0;
    }
    .whitecode {
        width: 80%;
        margin: 0 10%;
    }
    .sticky_prod_images {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(3, auto);
        grid-template-areas: "prod_big_image" "prod_image_thumbs" "buy_one_click";
    }
        .product_table tr{
        display: flex;
    }
    .product_table td {
        width: 60%;
        text-align: left;
    }
    .table_first_column{
        width: 40% !important;
    }
    .price_product{
        text-align: center;
    }
    .count_products_menu{
        width: 150px;
        margin-left: auto;
        margin-right: auto !important;
    }
    .prod_price_old{
        top: -30px;
        left: 30px;
    }
}